LossAction (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: LossAction

Package org.apache.geode.cache

# Class LossAction

java.lang.Object
org.apache.geode.cache.LossAction

All Implemented Interfaces:
  `Serializable`

@Deprecated @Immutable public class LossAction extends Object implements Serializable
Deprecated.
this feature is scheduled to be removed
Specifies how access to the region is affected when one or more required roles are lost. A role is lost when it is are offline and no longer present in the system membership. The `LossAction` is specified when configuring a region's `MembershipAttributes`.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final LossAction`
  `FULL_ACCESS`
  Deprecated.
  Access to the region is unaffected when required roles are missing.
  `static final LossAction`
  `LIMITED_ACCESS`
  Deprecated.
  Only local access to the region is allowed when required roles are missing.
  `static final LossAction`
  `NO_ACCESS`
  Deprecated.
  The region is unavailable when required roles are missing.
  `final byte`
  `ordinal`
  Deprecated.
  byte used as ordinal to represent this Scope
  `static final LossAction`
  `RECONNECT`
  Deprecated.
  Loss of required roles causes the entire cache to be closed.
  `static final List`
  `VALUES`
  Deprecated.
  List of all LossAction values

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LossAction`
  `fromName(String name)`
  Deprecated.
  Return the LossAction specified by name
  `static LossAction`
  `fromOrdinal(byte ordinal)`
  Deprecated.
  Return the LossAction represented by specified ordinal
  `boolean`
  `isAllAccess()`
  Deprecated.
  Returns true if this is `FULL_ACCESS`.
  `boolean`
  `isLimitedAccess()`
  Deprecated.
  Returns true if this is `LIMITED_ACCESS`.
  `boolean`
  `isNoAccess()`
  Deprecated.
  Returns true if this is `NO_ACCESS`.
  `boolean`
  `isReconnect()`
  Deprecated.
  Returns true if this is `RECONNECT`.
  `String`
  `toString()`
  Deprecated.
  Returns a string representation for this loss action.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NO_ACCESS

    @Immutable public static final LossAction NO_ACCESS
    Deprecated.
    The region is unavailable when required roles are missing. All operations including read and write access are denied. All read and write operations on the region will result in `RegionAccessException` while any required roles are absent. Basic administration of the region is allowed, including close and localDestroyRegion.

  - ### LIMITED_ACCESS

    @Immutable public static final LossAction LIMITED_ACCESS
    Deprecated.
    Only local access to the region is allowed when required roles are missing. All distributed write operations on the region will throw `RegionAccessException` while any required roles are absent. Reads which result in a netSearch behave normally, while any attempt to invoke a netLoad is not allowed.

  - ### FULL_ACCESS

    @Immutable public static final LossAction FULL_ACCESS
    Deprecated.
    Access to the region is unaffected when required roles are missing.

  - ### RECONNECT

    @Immutable public static final LossAction RECONNECT
    Deprecated.
    Loss of required roles causes the entire cache to be closed. In addition, this process will disconnect from the DistributedSystem and then reconnect. Attempting to use any existing references to the regions or cache will throw a `CacheClosedException`.

  - ### ordinal

    public final byte ordinal
    Deprecated.
    byte used as ordinal to represent this Scope

  - ### VALUES

    @Immutable public static final List VALUES
    Deprecated.
    List of all LossAction values

- ## Method Details

  - ### fromOrdinal

    public static LossAction fromOrdinal(byte ordinal)
    Deprecated.
    Return the LossAction represented by specified ordinal
    Parameters:
      `ordinal` - the ordinal representation of a LossAction
    Returns:
      the LossAction represented by specified ordinal

  - ### fromName

    public static LossAction fromName(String name)
    Deprecated.
    Return the LossAction specified by name
    Parameters:
      `name` - the name of a LossAction
    Returns:
      the LossAction specified by name

  - ### isNoAccess

    public boolean isNoAccess()
    Deprecated.
    Returns true if this is `NO_ACCESS`.
    Returns:
      whether this is `NO_ACCESS`

  - ### isLimitedAccess

    public boolean isLimitedAccess()
    Deprecated.
    Returns true if this is `LIMITED_ACCESS`.
    Returns:
      whether this is `LIMITED_ACCESS`

  - ### isAllAccess

    public boolean isAllAccess()
    Deprecated.
    Returns true if this is `FULL_ACCESS`.
    Returns:
      whether this is `FULL_ACCESS`

  - ### isReconnect

    public boolean isReconnect()
    Deprecated.
    Returns true if this is `RECONNECT`.
    Returns:
      whether this is `RECONNECT`

  - ### toString

    public String toString()
    Deprecated.
    Returns a string representation for this loss action.
    Overrides:
      `toString` in class `Object`
    Returns:
      the name of this loss action